Update agent settings
Sets or clears an agent’s settings for the organization or a realm (settings.values, settings.clear). Do not send back masked values.
Requires a signed-in user token; with realm_id, a realm operator (or higher) with the agents.manage.realm permission on that realm; with org_id, a role with the agents.manage permission in that organization. One of realm_id or org_id is required.
POST
/
v1
/
agents
/
update_settings
Update agent settings
curl --request POST \
--url https://{host}/v1/agents/update_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"settings": {
"values": {
"api_token": "<jira-api-token>"
}
}
}
'import requests
url = "https://{host}/v1/agents/update_settings"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"settings": { "values": { "api_token": "<jira-api-token>" } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
id: '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
settings: {values: {api_token: '<jira-api-token>'}}
})
};
fetch('https://{host}/v1/agents/update_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/agents/update_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'id' => '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
'settings' => [
'values' => [
'api_token' => '<jira-api-token>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/agents/update_settings"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"settings\": {\n \"values\": {\n \"api_token\": \"<jira-api-token>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/agents/update_settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"settings\": {\n \"values\": {\n \"api_token\": \"<jira-api-token>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/agents/update_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"settings\": {\n \"values\": {\n \"api_token\": \"<jira-api-token>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": true
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
Organization this call targets. Caller must be authorized for this org
Catalog row UUID whose settings to mutate
Upsert and/or clear operations applied in one call
Show child attributes
Show child attributes
When set, write realm overrides; realm must belong to org_id
⌘I
Update agent settings
curl --request POST \
--url https://{host}/v1/agents/update_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"settings": {
"values": {
"api_token": "<jira-api-token>"
}
}
}
'import requests
url = "https://{host}/v1/agents/update_settings"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"settings": { "values": { "api_token": "<jira-api-token>" } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
id: '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
settings: {values: {api_token: '<jira-api-token>'}}
})
};
fetch('https://{host}/v1/agents/update_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/agents/update_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'id' => '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
'settings' => [
'values' => [
'api_token' => '<jira-api-token>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/agents/update_settings"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"settings\": {\n \"values\": {\n \"api_token\": \"<jira-api-token>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/agents/update_settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"settings\": {\n \"values\": {\n \"api_token\": \"<jira-api-token>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/agents/update_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"settings\": {\n \"values\": {\n \"api_token\": \"<jira-api-token>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": true
}